Bug 2093607 - upower does not detect charger plug-in on laptop
Summary: upower does not detect charger plug-in on laptop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: upower
Version: 36
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-04 17:42 UTC by Balanarayan K
Modified: 2022-06-18 14:24 UTC (History)
3 users (show)

Fixed In Version: upower-0.99.19-1.fc36
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-13 01:30:00 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
freedesktop.org Gitlab upower upower issues 179 0 None closed Acer E15 Aspire: upower takes a long time to detect charger plugged-in. 2022-06-04 17:42:34 UTC

Description Balanarayan K 2022-06-04 17:42:34 UTC
Description of problem:
upower does not detect charger plug-in on laptop. I had already raised bug (179) (link below) upstream at upower and this has been fixed. Please consider to include the latest upower package to Fedora 36. 

Version-Release number of selected component (if applicable):
0.99.14

How reproducible:
Issue occurs all the time

Steps to Reproduce:
1. Plug-in charger
2. Battery continues to remain in discharging state
3.

Actual results:
Battery continues to remain in discharging state

Expected results:
Battery should show charging when charger is plugged-in.

Additional info:

Comment 1 Fedora Update System 2022-06-09 17:09:27 UTC
FEDORA-2022-a4bedf844b has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a4bedf844b

Comment 2 Fedora Update System 2022-06-10 01:39:47 UTC
FEDORA-2022-a4bedf844b has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-a4bedf844b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a4bedf844b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2022-06-13 01:30:00 UTC
FEDORA-2022-a4bedf844b has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Balanarayan K 2022-06-18 14:24:30 UTC
Hi team, Thanks for including the updated upower version. I would like to confirm that I'm no longer facing the issue after performing an OS update on my laptop today. upower version is now 0.99.19.


Note You need to log in before you can comment on or make changes to this bug.